
Summary:	Imagination - simple DVD slide show maker
Name:		imagination
Version:	3.5.1
Release:	%mkrel 1
Group:		Video
License:	GPLv3
URL:		http://imagination.sourceforge.net/
Source:     %{name}-%{version}.tar.xz
Patch0:		imagination-toolbar-button-import.patch
BuildRequires:	lib64gtk+3.0-devel
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	sox-devel
BuildRequires:	desktop-file-utils
BuildRequires:	cairo-devel 
BuildRequires:	libtool
BuildRequires:  glibc-devel
BuildRequires:  gettext
BuildRequires:  pkgconfig
Requires: 	sox
Requires: 	ffmpeg
Obsoletes:  	%name < %version

%description
Imagination is a lightweight and user-friendly DVD slide show maker with a
clean interface and few dependencies. It only requires the ffmpeg encoder
to produce a movie to be burned with another application.

 Imagination has the following features:
   - Easy to operate.
   - It can make a slideshow from photos selected by user.
   - Support to VOB (DVD Video), OGV (Theora Vorbis), FLV (Flash Video) and
     3GP (Mobile Phones) when exporting videos.
   - Support screen resolutions from 128x96 pixels up to 1920x1080 pixels,
     when exporting videos.
   - Background audio (music, as MP3 files, or other audio files).
   - Auto resize (optional) for images.
   - Allow the users to select a background color.
   - Over 50 transition effects.
   - Zoom effect with duration time.
   - Allow users to add explanatory texts (e.g. subtitles).

Imagination can be used to make presentations to be shown by a projector or
by a smart TV.

%description -l de
Imagination ist ein leichter und benutzerfreundlicher DVD-Diashow-Hersteller mit
einer sauberen Schnittstelle und wenige Abhängigkeiten. Es wird nur der
ffmpeg-Encoder benötigt um einen Film zu produzieren,
der mit einer anderen Anwendung gebrannt werden soll.

Imagination hat die folgenden Eigenschaften:
   - Leicht zu bedienen.
   - Es kann eine Diashow aus vom Benutzer ausgewählten Fotos erstellen.
   - Unterstützung für VOB (DVD Video), OGV (Theora Vorbis), FLV (Flash Video)
	und	3GP (Handys) beim Exportieren von Videos.
   - Unterstützt Bildschirmauflösungen von 128 x 96 Pixel bis 1920 x 1080 Pixel.
	beim Exportieren von Videos.
   - Hintergrundaudio (Musik, als MP3-Dateien oder andere Audiodateien).
   - Automatische Größenänderung (optional) für Bilder.
   - Ermöglichen Sie den Benutzern die Auswahl einer Hintergrundfarbe.
   - Über 50 Übergangseffekte.
   - Zoomeffekt mit Dauer.
   - Ermöglichen Sie Benutzern das Hinzufügen erklärender Texte (z. B. Untertitel).

Imagination kann verwendet werden, um Präsentationen zu erstellen,
die von einem Projektor oder gezeigt werden von einem Smart-TV.

%description -l fr
Imagination est un créateur de diaporamas DVD léger et convivial avec un
interface propre et peu de dépendances. Il ne nécessite que l'encodeur ffmpeg
pour produire un film à graver avec une autre application.

L'imagination a les caractéristiques suivantes:
   - Facile à utiliser.
   - Il peut faire un diaporama à partir de photos sélectionnées par l'utilisateur.
   - Prise en charge de VOB (DVD vidéo), OGV (Theora Vorbis), FLV (Flash Video) et
		3GP (téléphones mobiles) lors de l'exportation de vidéos.
   - Prise en charge des résolutions d'écran de 128x96 pixels à 1920x1080 pixels,
     lors de l'exportation de vidéos.
   - Audio en arrière-plan (musique, fichiers MP3 ou autres fichiers audio).
   - Redimensionnement automatique (facultatif) pour les images.
   - Autorisez les utilisateurs à sélectionner une couleur d'arrière-plan.
   - Plus de 50 effets de transition.
   - Effet zoom avec durée.
   - Permettre aux utilisateurs d'ajouter des textes explicatifs
		(par exemple des sous-titres).

L'imagination peut être utilisée pour faire des présentations devant
être montrées par un projecteur ou par un téléviseur intelligent.

%description -l es
Imagination es un creador de diapositivas de DVD liviano y fácil de usar con un
Interfaz limpia y pocas dependencias. Solo requiere el codificador ffmpeg
para producir una película que se grabará con otra aplicación.

La imaginación tiene las siguientes características:
  - Fácil de operar.
  - Puede hacer una presentación de diapositivas a partir
	 de fotos seleccionadas por el usuario.
  - Soporte para VOB (DVD Video), OGV (Theora Vorbis), FLV (Flash Video) y
     3GP (teléfonos móviles) al exportar videos.
  - Admite resoluciones de pantalla de 128x96 píxeles hasta 1920x1080 píxeles,
     al exportar videos.
  - Audio de fondo (música, como archivos MP3 u otros archivos de audio).
  - Cambio de tamaño automático (opcional) para imágenes.
  - Permitir a los usuarios seleccionar un color de fondo.
  - Más de 50 efectos de transición.
  - Efecto de zoom con tiempo de duración.
  - Permitir a los usuarios agregar textos explicativos (por ejemplo, subtítulos).

La imaginación se puede usar para hacer presentaciones para que las muestre un
proyector o por un televisor inteligente.

%description -l pl
Imagination to lekki i przyjazny dla użytkownika program do tworzenia pokazów
slajdów DVD czysty interfejs i kilka zależności. Wymaga tylko kodera ffmpeg
aby wyprodukować film do nagrania za pomocą innej aplikacji.

  Wyobraźnia ma następujące funkcje:
    - Łatwy w obsłudze.
    - Może tworzyć pokaz slajdów ze zdjęć wybranych przez użytkownika.
    - Wsparcie dla VOB (DVD Video), OGV (Theora Vorbis), FLV (Flash Video) i
      3GP (telefony komórkowe) podczas eksportowania filmów.
    - Obsługa rozdzielczości ekranu od 128 x 96 pikseli do 1920 x 1080 pikseli,
      podczas eksportowania filmów.
    - Dźwięk w tle (muzyka, pliki MP3 lub inne pliki audio).
    - Automatyczna zmiana rozmiaru (opcjonalnie) dla zdjęć.
    - Pozwól użytkownikom wybrać kolor tła.
    - Ponad 50 efektów przejścia.
    - Efekt powiększenia wraz z czasem trwania.
    - Pozwól użytkownikom dodawać teksty objaśniające (np. Napisy).

Wyobraźnia może służyć do tworzenia prezentacji,
które mają być pokazywane przez projektor lub przez inteligentny telewizor.

%description -l sr
Машта је лаган и једноставан за употребу ДВД произвођача за презентације са а
чист интерфејс и мало зависности. Потребан је само ффмпег кодер
да се произведе филм који ће се спалити другом апликацијом.

  Машта има следеће карактеристике:
    - Једноставно руковање
    - Може да направи презентацију из фотографија које одабере корисник.
    - Подршка за ВОБ (ДВД Видео), ОГВ (Тхеора Ворбис), ФЛВ (Фласх Видео) и
      3ГП (мобилни телефони) приликом извоза видео записа.
    - Подршка резолуције екрана од 128к96 пиксела до 1920к1080 пиксела,
      код извоза видео записа.
    - Позадински звук (музика, МП3 датотеке или друге аудио датотеке).
    - Аутоматска промјена величине (опционално) за слике.
    - Дозволите корисницима да одаберу боју позадине.
    - Преко 50 ефеката транзиције.
    - Учинак зума током времена трајања.
    - Дозволите корисницима да додају објашњења (нпр. Титлове).

Машта се може користити за прављење презентација пројектора или
паметним телевизором.

%description -l nl
Verbeelding is een lichtgewicht en gebruiksvriendelijke maker van
dvd-diavoorstellingen met een schone interface en enkele afhankelijkheden.
Het vereist alleen de ffmpeg-encoder om een film te maken die moet worden
gebrand met een andere toepassing.

  Verbeelding heeft de volgende kenmerken:
    - Makkelijk te besturen.
    - Het kan een diavoorstelling maken van door de gebruiker geselecteerde foto's.
    - Ondersteuning voor VOB (dvd-video), OGV (Theora Vorbis), FLV (Flash-video) en
      3GP (mobiele telefoons) bij het exporteren van video's.
    - Ondersteuning van schermresoluties van 128x96 pixels tot 1920x1080 pixels,
      bij het exporteren van video's.
    - Achtergrondaudio (muziek, als mp3-bestanden of andere audiobestanden).
    - Auto resize (optioneel) voor afbeeldingen.
    - Laat de gebruikers een achtergrondkleur selecteren.
    - Meer dan 50 overgangseffecten.
    - Zoomeffect met tijdsduur.
    - Sta gebruikers toe om verklarende teksten toe te voegen (bijv. Ondertitels).

Verbeelding kan worden gebruikt om presentaties te maken die worden getoond door
een projector of door een smart-tv.

%description -l ru
Imagination - это легкое и удобное средство для создания слайд-шоу на DVD с
чистый интерфейс и несколько зависимостей. Требуется только кодер ffmpeg
создать фильм для записи другим приложением.

  Воображение имеет следующие особенности:
    - Простота в эксплуатации.
    - Он может сделать слайд-шоу из фотографий, выбранных пользователем.
    - Поддержка VOB (DVD-видео), OGV (Theora Vorbis), FLV (Flash Video) и
      3GP (мобильные телефоны) при экспорте видео.
    - Поддержка разрешения экрана от 128х96 пикселей до 1920x1080 пикселей,
      при экспорте видео.
    - Фоновое аудио (музыка, файлы MP3 или другие аудио файлы).
    - Авторазмер (необязательно) для изображений.
    - Разрешить пользователям выбирать цвет фона.
    - Более 50 эффектов перехода.
    - Эффект масштаба с продолжительностью времени.
    - Разрешить пользователям добавлять пояснительные тексты (например, субтитры).

Воображение можно использовать для создания презентаций, которые будут показаны
проектором или по умному телевизору.

%description -l vi
Tưởng tượng là một nhà sản xuất trình chiếu DVD nhẹ và thân thiện với người dùng
giao diện sạch sẽ và một vài phụ thuộc. Nó chỉ yêu cầu bộ mã hóa ffmpeg
để sản xuất một bộ phim được đốt cháy với một ứng dụng khác.

  Trí tưởng tượng có các tính năng sau:
    - Dễ dàng hoạt động.
    - Nó có thể tạo một slideshow từ ảnh do người dùng chọn.
    - Hỗ trợ VOB (Video DVD), OGV (Theora Vorbis), FLV (Flash Video) và
      3GP (Điện thoại di động) khi xuất video.
    - Hỗ trợ độ phân giải màn hình từ 128x96 pixel đến 1920x1080 pixel,
      khi xuất video.
    - Âm thanh nền (nhạc, dưới dạng tệp MP3 hoặc các tệp âm thanh khác).
    - Tự động thay đổi kích thước (tùy chọn) cho hình ảnh.
    - Cho phép người dùng chọn màu nền.
    - Hơn 50 hiệu ứng chuyển tiếp.
    - Hiệu ứng thu phóng với thời gian.
    - Cho phép người dùng thêm văn bản giải thích (ví dụ: phụ đề).

Trí tưởng tượng có thể được sử dụng để làm cho bài thuyết trình được trình chiếu
bằng máy chiếu hoặc bởi một chiếc TV thông minh.



%prep
%setup -q 
%apply_patches


%build
autoreconf -fiv
export LDFLAGS="-lm"
%configure2_5x --enable-shared=yes 

%make_build CFLAGS="$CFLAGS -DPLUGINS_INSTALLED=1 -DRENDERER=ffmpeg"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -f  %{buildroot}%{_libdir}/%{name}/*.la

%find_lang %{name}

%post
%{update_menus}
%update_icon_cache hicolor
/sbin/ldconfig

%postun
%{clean_menus}
%clean_icon_cache hicolor
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/doc

%changelog
* Mon Apr 06 2020 onkelho <oh.quait at gmail.com> - 3.5.1-1pclos2020
- rebuild test toolbar fixes
- rebuild - source alt
- rebuild - add CFLAGS="$CFLAGS -DPLUGINS_INSTALLED=1"
- rebuild
- new version released

* Mon Jun 17 2019 Agent Smith <ruidobranco@yahoo.com.br>  - 3.4-1pclos2019
- Updated with latest sources, removed patch.

* Thu Aug 10 2017 bb2 <bb2> - 3.0-4pclos2017
- rebuild against updates

